package com.zcloud.service.task;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：在线学习考试-任务
 * 作者：luoxiaobao
 * 时间：2021-12-20
 * 官网：www.zcloudchina.com
 */
public interface StudyTaskService {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception;

	public List<PageData> getAllCourseware(PageData pd)throws Exception;

	public List<PageData> getAllcurriculum(PageData pd)throws Exception;
	public List<PageData> getcurriculumAllBystudyTaskId(PageData pd)throws Exception;

	/**
	 * 更新任务状态
	 * @param pd
	 */
    void updateTaskState(PageData pd)throws Exception;
	public List<PageData> getAllByuserInfo(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> userlist(Page page)throws Exception;
	public List<PageData> getAllCoursewareByHandout(PageData page)throws Exception;

	/**
	 * 修改 任务的结束时间
	 * @param pd
	 * @throws Exception
	 */
	public void editEndTime(PageData pd)throws Exception;

	public List<PageData> BIstatistics(PageData pd)throws Exception;

	/**绩效得分
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getDeptExamine(PageData pd)throws Exception;

	List<PageData> getUserExamine(PageData pd)throws Exception;

	public PageData getDiagnosis(PageData pd)throws Exception;
}

